# by Lizéa le 05/01/2023 --------------------------------------------------------

def rechercheMinMax(tab):
    if len(tab) == 0:
        return {'min': None, 'max': None}
    else: # le 'else' n'est pas obligatoire !
        # on initialise le min et le max à la valeur du 1e élément du tableau
        mini, maxi = tab[0], tab[0]
        # on doit parcourir le tableau (de l'indice 1 jusqu'à la fin)
        for i in range(1, len(tab)):
            if tab[i] < mini: # si l'élément d'indice i est plus petit, c'est le new mini
                mini = tab[i]
            if tab[i] > maxi: # si l'élément d'indice i est plus grand, c'est le new maxi
                maxi = tab[i]
        return {'min': mini, 'max': maxi}


# tests
tableau = [0,1,4,2,-2,9,3,1,7,1] 
resultat = rechercheMinMax(tableau) 
print(resultat) 
tab = [] 
result = rechercheMinMax(tab) 
print(result)