class Carte:
    """Initialise Couleur (entre 1 à 4), et Valeur (entre 1 à 13)"""
    def __init__(self, c, v):
        self.Couleur = c
        self.Valeur = v

    """Renvoie le nom de la Carte As, 2, ... 10, 
       Valet, Dame, Roi"""
    def getNom(self):
        if ( self.Valeur > 1 and self.Valeur < 11):
            return str( self.Valeur)
        elif self.Valeur == 11:
            return "Valet"
        elif self.Valeur == 12:
            return "Dame"
        elif self.Valeur == 13:
            return "Roi"
        else:
            return "As"

    """Renvoie la couleur de la Carte (parmi pique, coeur, carreau, trefle"""
    def getCouleur(self):
        return ['pique', 'coeur', 'carreau', 'trefle' ][self.Couleur - 1]

class PaquetDeCarte:
    def __init__(self):
        self.contenu = []

    """Remplit le paquet de cartes"""
    def remplir(self):
        for couleur in range(1, 5):
            for valeur in range(1, 14):
                newCarte = Carte(couleur, valeur) # nouvelle carte qu'il faut insérer dans le jeu (la liste, c-a-d self.contenu)
                self.contenu.append(newCarte)
        # self.contenu = [Carte(couleur, valeur) for couleur in range(1, 5) for valeur in range(1, 14)]
        # À éviter il me semble car dans ce cas, pourquoi partir dans 'init' d'une liste vide ?

    """Renvoie la Carte qui se trouve à la position donnée"""
    def getCarteAt(self, pos):
        #A compléter
        if 0 <= pos <= 51:
            card = self.contenu[pos]
            return card

# il faut faire des tests !
if __name__ == '__main__':
    unPaquet = PaquetDeCarte()
    unPaquet.remplir()
    uneCarte = unPaquet.getCarteAt(20)
    print(uneCarte.getNom() + " de " + uneCarte.getCouleur())